package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 操作证
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
public class LiftCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 拥有者ID
     */
    @TableField("owner_id")
    private Long ownerId;

    /**
     * 维保公司id
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 操作证号
     */
    @TableField("code")
    private String code;

    /**
     * 发证单位
     */
    @TableField("issuance_agency")
    private String issuanceAgency;

    /**
     * 有效期
     */
    @TableField("expiration_date")
    private LocalDate expirationDate;

    /**
     * 证件类型
     */
    @TableField("certificate_type")
    private String certificateType;

    /**
     * 第一张图片路径
     */
    @TableField("first_img_url")
    private String firstImgUrl;

    /**
     * 第二张图片路径
     */
    @TableField("second_img_url")
    private String secondImgUrl;

    /**
     * 0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
     */
    @TableField("status")
    private Integer status;


}
